// app global css in SCSS form
@import "~vue2-dropzone/dist/vue2Dropzone.min.css";

@import 'systemlayout';
@import 'table';
@import 'button';
@import 'card';
@import 'dropzone';
@import 'label';
@import 'drawer';
@import 'inputs';
@import 'checkbox'; 
 
.body--light {
  /* ... */
  .letras-system{
      color: #505887;
      font-weight: 500;
  }
}

.body--dark {
  .letras-system{
      color: #ffffff;
      font-weight: 500;
  }
}

.font-20px{
    font-size: 20px
}

.font-16px{
    font-size: 16px
}

.font-14px{
    font-size: 14px
}

.tamano-letra-titulos-modulos-menos-pixeles{
    font-size: 14px;
    @media only screen and (max-width: 700px) { 
        font-size: 13px;
    }
}


.tamano-letra-titulos-modulos{
    font-size: 16px;
    @media only screen and (max-width: 700px) { 
        font-size: 14px;
    }
}

.tamano-letra-titulos-modulos-layout{
    font-size: 14px;
    @media only screen and (max-width: 700px) { 
        font-size: 12px;
    }
}

.tamano-letra-titulos-drawer-company{
    font-size: 15px;
    @media only screen and (max-width: 700px) { 
        font-size: 14px;
    }
}

.tamano-letra-titulos-drawer-establishment{
    font-size: 13px;
    @media only screen and (max-width: 700px) { 
        font-size: 12px;
    }
}

.tamano-letra-titulos-drawer-vencimiento{
    font-size: 13px;
    @media only screen and (max-width: 700px) { 
        font-size: 12px;
    }
}

.margin-bottom-30px {
    margin-bottom:30px; 
}

.padding-left-16px-mobil { 
    @media only screen and (max-width: 799px) { 
        padding-left: 16px;
    }
}

.margin-left-bread-crumb { 
    @media only screen and (max-width: 799px) { 
        margin-left: 2px;
    }
}


.font-weight-500{
    font-weight: 500;
}

.margin-bottom-15px {
    margin-bottom:0px;
    @media only screen and (max-width: 700px) { 
        margin-bottom:15px;
    }
}

.font-18px{
    font-size: 18px
}

.my-radious-skeleton-input{
    border-radius: 20px;
}

main{
    min-height: 100% !important;
}

.margin-bottom--12px{
        margin-bottom: -12px;
}

.padding-top-bottom-0px{
    padding-bottom: 0px;
    padding-top: 0px;
}


.padding-bottom-0px{
    padding-bottom: 0px; 
}

.padding-top-0px{ 
    padding-top: 0px;
}
 
::-webkit-scrollbar {
   width: 8px;
   height: 8px;
}
 
/* Track */
::-webkit-scrollbar-track {
  box-shadow: inset 0 0 2px grey; 
  border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb { 
        border-radius: 5px;
        background-color: #80BDF1;
        width: 5px;
        opacity: 0.75;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: #73AAD8; 
}

.color-success-minimalist{
    background-color: #C9F9EB;
}

.color-error-minimalist{
    background-color: #FFEAE9;
}

.color-warning-minimalist{
    background-color: #FFF3D9;
}

.color-indigo-minimalist{
    background-color: #F0EDFE;
} 
.padding-no-mobil{
    /*padding-right: 30px; */
    /*padding-left: 30px; */
    padding-right: 18px; 
    padding-left: 18px; 
    @media only screen and (min-width: 800px) {  
        padding-right: 60px; 
        padding-left: 60px;
    } 
}

.padding-no-mobil-header{
    padding-right: 30px;   
    padding-left: 40px;
    @media only screen and (max-width: 799px) {  
        padding-right: 0px;   
        padding-left: 0px;   
    } 
}

.width-100-percent{
    width: 100%;
    text-align: center;
}

.margin-top-error-custom{
    color: var(--q-color-negative);
    margin-top: -7px;
    font-weight: 400;
    margin-left: -14px;
}

 
@media only screen and (max-width: 700px) { 
    .margin-top-months {
        margin-top:17px;
    }
}

.margin-fields-form { 
    padding-right:25px;
    padding-bottom:5px;
    @media only screen and (max-width: 599px) {   
        padding-right:0px;
        padding-bottom:2px;
    }
}

.width-logo-login{
    max-width: 15vw;
    @media only screen and (max-width: 1400px) {   
        max-width: 20vw;
    }

    @media only screen and (max-width: 1000px) {   
        max-width: 30vw;
    }

    @media only screen and (max-width: 700px) {   
        max-width: 50vw;
    }
}

.skeleton-image-ticket{
    width: 100%;
    height: 300px;
}
 
 
.style-arrow-left{
    margin-left: -10px; 
}

.style-title-list-left{
    margin-left: 2px; 
}

.gallery-images-property{
    max-width: 100%; 
    height: 250px;
}

.font-size-estatus-properties{
    font-size: 12px;
    font-weight: 500;
    @media only screen and (max-width: 900px) {   
        font-size: 8px;
    }
}

.margin-left-status-properties{
    margin-left: 10px; 
    @media only screen and (max-width: 900px) {   
        margin-left: 4px;
    }
}

.padding-left-and-right-view-property{
    padding-left: 12px;
    padding-right: 12px;
    @media only screen and (max-width: 700px) {   
        padding-left: 0px;
        padding-right: 0px;
    } 
}

.tamano-letra-number-card-product{
    font-size: 20px;
    @media only screen and (max-width: 700px) { 
        font-size: 15px;
    }
}
.tamano-letra-text-card-product{
    font-size: 14px;
    @media only screen and (max-width: 700px) { 
        font-size: 12px;
    }
}

.style-no-data-graph{ 
        height: 230px;
    @media only screen and (max-width: 600px) { 
        font-size: 210px;
    }
} 

.style-no-data-graph-column{ 
        height: 320px;
    @media only screen and (max-width: 600px) { 
        font-size: 210px;
    }
} 